# -- Application name string
name: keycloak-operator
# -- Annotations to be added to the Deployment
annotations: {}
# -- Node labels for pod assignment
nodeSelector: {}
# -- Node tolerations for server scheduling to nodes with taints
tolerations: []
# -- Affinity for pod assignment
affinity: {}
image:
  # -- KubeRocketCI keycloak-operator Docker image name. The released image can be found on [Dockerhub](https://hub.docker.com/r/epamedp/keycloak-operator)
  repository: epamedp/keycloak-operator
  # if not defined then .Chart.AppVersion is used
  # -- KubeRocketCI keycloak-operator Docker image tag. The released image can be found on [Dockerhub](https://hub.docker.com/r/epamedp/keycloak-operator/tags)
  tag:
# -- If defined, a imagePullPolicy applied to the deployment
imagePullPolicy: "IfNotPresent"
# -- If defined, imagePullSecrets are applied to deployment
imagePullSecrets: []

# -- Resource limits and requests for the pod
resources:
  limits:
    memory: 192Mi
  requests:
    cpu: 50m
    memory: 64Mi

# -- Additional volumes to be added to the pod
extraVolumes: []
#  - name: custom-ca
#    secret:
#      defaultMode: 420
#      secretName: custom-ca

# -- Additional volumeMounts to be added to the container
extraVolumeMounts: []
#  - name: custom-ca
#    mountPath: /etc/ssl/certs/CA.crt
#    readOnly: true
#    subPath: CA.crt

# -- If clusterReconciliationEnabled is true, the operator reconciles all Keycloak instances in the cluster;
#  otherwise, it only reconciles instances in the same namespace by default, and cluster-scoped resources are ignored.
clusterReconciliationEnabled: false
